/* RESET */
* {
  margin: 0;
  padding: 0;
  font-family: 'Raleway-Regular', Arial, sans-serif; /* Arial et sans-serif sont les polices de secours */
  box-sizing: border-box;
}

body, html {
  height: 100%;
  font-family: 'Raleway-Regular', Arial, sans-serif; /* Arial et sans-serif sont les polices de secours */
  overflow-x: hidden;
  overflow: scroll;
  scrollbar-width: none; /* Firefox */
}

/* Pour Chrome, Edge, Safari */
body::-webkit-scrollbar {
  display: none;
}

/* -------------------- PLAYFAIR_DISPLAY ------------------------*/

@font-face {
    font-family: 'PlayfairDisplay-SemiBold';
    src: url('fonts/PlayfairDisplay-SemiBold.woff2') format('woff2'),
         url('fonts/PlayfairDisplay-SemiBold.ttf') format('truetype');
}

@font-face {
    font-family: 'PlayfairDisplay-SemiBoldItalic';
    src: url('fonts/PlayfairDisplay-SemiBoldItalic.woff2') format('woff2'),
         url('fonts/PlayfairDisplay-SemiBoldItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'PlayfairDisplay-Italic';
    src: url('fonts/PlayfairDisplay-Italic.woff2') format('woff2'),
         url('fonts/PlayfairDisplay-Italic.ttf') format('truetype');
}

@font-face {
    font-family: 'PlayfairDisplay-Regular';
    src: url('fonts/PlayfairDisplay-Regular.woff2') format('woff2'),
         url('fonts/PlayfairDisplay-Regular.ttf') format('truetype');
}

/* -------------------- RALEWAY ------------------------*/

@font-face {
    font-family: 'Raleway-Light';
    src: url('fonts/Raleway-Light.woff2') format('woff2'),
         url('fonts/Raleway-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'Raleway-Regular';
    src: url('fonts/Raleway-Regular.woff2') format('woff2'),
         url('fonts/Raleway-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Raleway-SemiBold';
    src: url('fonts/Raleway-SemiBold.woff2') format('woff2'),
         url('fonts/Raleway-SemiBold.ttf') format('truetype');
}

@font-face {
    font-family: 'Raleway-Bold';
    src: url('fonts/Raleway-Bold.woff2') format('woff2'),
         url('fonts/Raleway-Bold.ttf') format('truetype');
}

/*---------------------STYLES-----------------------*/

.nombold{
    font-size:16px;
    font-family: 'Raleway-Bold', sans-serif;
}

/*.nomitalic{
    font-size:16px;
     font-family: 'PlayfairDisplay-Italic', serif;
}*/

.domaine{
    font-size:14px;
    font-family: 'PlayfairDisplay-Italic', serif;
}

.titre{
    font-size:32px;
    font-family: 'Raleway-Bold', sans-serif;
}

.titre_italic{
    font-size:32px;
    font-family: 'PlayfairDisplay-Italic', serif;
}

.corps{
    font-size:16px;
    font-family: 'Raleway-Regular', sans-serif;
    /*text-align: justify;*/
    line-height: 1.4;
}

.categorie {
font-size:16px;
vertical-align: super;
margin-left:5px;
}

.separator {
  border: none;
  border-top: 0.5px solid black; /* couleur et épaisseur de ta ligne */
  margin: 20px 0; /* espace avant et après la ligne */
}

/*---------------------LIENS-----------------------*/

a {
  color: black; /* couleur du lien */
  text-decoration: none; /* enlève le soulignement */
}

a:hover {
  font-size:14px;
  text-decoration: underline; /* soulignement au survol */
}

a img {
  cursor: pointer; /* Change le curseur en pointeur lorsqu'on survole l'image */
}

.lazy-video {
  width: 100%;         /* ou 400px, ou 100vw pour plein écran */
  /*max-width: 900px;*/    /* limite la taille si écran large */
  height: auto;        /* conserve le ratio */
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
  display: block;
  margin-bottom: 10px;
  /*margin-bottom: 10px;        /* centre horizontalement */
}

.lazy-video.loaded {
  opacity: 1;
}

#toggleTexte {
  background-color: white;        /* Couleur de fond sombre */
  color: solid black;                   /* Couleur du texte */
  border: 1px solid black;                     /* Pas de bordure */
  padding: 10px 18px;               /* Espace intérieur */
  border-radius: 999px;               /* Coins arrondis */
  font-size: 16px;                  /* Taille du texte */
  cursor: pointer;                 /* Curseur main au survol */
  transition: background-color 0.3s ease, transform 0.2s ease;
  
}

#toggleTexte:hover {
  background-color: #F6D1D8;           /* Couleur au survol */
  transform: scale(1.05);           /* Légère mise en avant */
}



/*---------------------HEADER-----------------------*/
header {
  position: fixed;
  top: 0;
  width: 100%;
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  align-items: center;
  padding: 10px 20px;
  z-index: 1000;
  /*border:1px solid black;*/
}

header .left {
  font-size: 1rem;
}

header .center {
  text-align: center;
  font-size: 14px;
}

header .right {
  display: flex;
  justify-content: flex-end;
  gap: 5px;
}

header button {
  background: none;
  border: none;
  border-radius: 999px;
   padding: 10px 10px;
  font-size: 1rem;
  color:black;
  cursor: pointer;
}

header button:hover {
  text-decoration: underline;
 /* font-size:17px;
  font-family: 'PlayfairDisplay-Italic', serif;*/
}

/*---------------------MAIN-----------------------*/

titrage {
  display: grid;
  grid-template-columns: 1fr;
  text-align: left;
  
  border:1px solid black;
}


main {
  display: grid;
  grid-template-columns: 1fr 2.5fr;
  padding: 100px 30px 10px; /* espace pour le header et le footer */
  
}

/* Styles de base pour chaque colonne */
.column-left {
  padding-left: 0px;
  padding-right: 50px;
/*padding-bottom: 5px;*/

}
.column-right {
 /* border: 1px solid black;*/

}


/* SUBGRID à l'intérieur de la colonne de droite */
.subgrid {
  display: grid;
  grid-template-columns: 1.6fr 2fr 0.5fr;
  gap: 10px;
  margin-top: 20px;
}

/* Styles communs aux blocs */
.subgrid-item {
  /*border: 1px solid black;*/
  
}

/* Alignement spécifique */
.subgrid-item.left{
  text-align: left;
}
.subgrid-item.center {
  text-align: left;
}

/* 2 images cotes cotes */
.image-row-grid {
  display: grid;
  grid-template-columns: 1fr 1fr; /* deux colonnes de taille égale */
  gap: 10px; /* espace entre les deux images */
  padding-bottom: 10px;
}

.image-row-grid img {
  width: 100%; /* chaque image prend toute sa cellule */
  height: auto;
  display: block;
}

/* 3 images cotes cotes */
.image-row-grid2 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr; /* trois colonnes égales */
  gap: 10px; /* espace entre les images */
  padding-bottom: 10px;
}

.image-row-grid2 img {
  width: 100%; /* chaque image remplit sa colonne */
  height: auto;
  display: block;
}

.video-portrait {
  width: 100%;
  display: flex;
  justify-content: center;
}

.video-portrait video {
  width: 400px;        /* largeur fixe pour portrait */
  height: auto;        /* hauteur auto pour garder le ratio */
  max-height: 700px;   /* limite en hauteur si besoin */
  margin-bottom: 10px;
}

/*---------------------IMAGE-----------------------*/

.image-gauche {
  width: 100%;              /* Prend toute la largeur de la colonne */
  /*aspect-ratio: 4 / 3;      /* Forcé à 1440x1080, soit 4:3 */
  /*object-fit: cover; */       /* Pour que ça remplisse sans déformer */
  /*display: block;*/
  margin-bottom: 5px; /* espace entre les images */
}

/*---------------------FOOTER-----------------------*/
footer .logo-footer {
  position: fixed;
  bottom: 10px;
  right: 10px;
  width: 40px;
  height: auto;
  z-index: 999;
 /* border: 1px solid black;*/
}

footer .copyright-footer {
  position: fixed;
  bottom: 10px;
  left: 10px;
  font-size: 12px;
  color: #333; /* couleur du texte, tu peux changer */
  z-index: 999;
  margin: 0;
  padding: 0;
  /* Optional : pour un rendu plus propre */
  /* background: rgba(255, 255, 255, 0.7); */
  /* padding: 2px 5px; */
  /* border-radius: 4px; */
}

/* RESPONSIVE */
@media (max-width: 900px) {

  header {
    background: white;
    grid-template-columns: 1fr 1fr;
  }

  header .center {
    display: none;
  }


  header .left {
    font-size: 0.8rem;
  }

  header .right {
  gap: 2px;
}

  header button {
    font-size: 1rem;
    padding: 1px 10px;
    /*border: 1px solid black;*/
  }

.domaine{
    display: none;
}

/*.corps{
    text-align: justify;
}*/
    main {
    grid-template-columns: 1fr;
    padding: 100px 9px 5px; /* espace pour le header et le footer */
  }
.lazy-video {
  /*margin-bottom: 5px;        /* centre horizontalement */
}

.video-portrait video {
  width: 100%;        /* largeur fixe pour portrait */
  height: auto;        /* hauteur auto pour garder le ratio */
  max-height: none;   /* limite en hauteur si besoin */
  margin-bottom: 10px;
}

.image-gauche {
  /*margin-bottom: 2px; /* espace entre les images */
}

.column-left {
    padding-left: 10px;
  padding-right: 10px;
 padding-bottom: 40px;

}

  .column-right {
   padding-bottom: 100px;
   /*border:1px solid blue;*/
  }
  
  /* Deux colonnes image droite */
.two-columns.image-right {
    display: grid;
    grid-template-columns: 1fr;
   

  footer .logo-footer {
  width: 30px;
}

}
